package com.lightinit.hsdataplatformresdir.model.admin;

import java.util.Date;

public class APIPublishListModel {
    private Long id;

    private Long publishInfoId ;
    //主题分类
    private String catelogTheme;
    //服务名称
    private String resourceName;
    //服务标实
    private String resourceIdentity ;
    //服务简介
    private String resourceSummary ;
    //提供单位
    private String providerName ;
    //提交日期
    private Date registerDate ;
    //状态
    private String resourceState ;

    private String publishState ;

    private String outId1 ;

    private String outId2 ;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public String getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(String catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceIdentity() {
        return resourceIdentity;
    }

    public void setResourceIdentity(String resourceIdentity) {
        this.resourceIdentity = resourceIdentity;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public String getResourceState() {
        return resourceState;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public String getOutId1() {
        return outId1;
    }

    public void setOutId1(String outId1) {
        this.outId1 = outId1;
    }

    public String getOutId2() {
        return outId2;
    }

    public void setOutId2(String outId2) {
        this.outId2 = outId2;
    }
}
